var args = $.args;
var progressBarIsLoading = false;

$.init = function (args) {
  _.each(args, function (value, key) {
    if (key == 'progressColor') {
      $.progress.backgroundColor = value;
    } else if (key == 'borderRadius') {
      $.progress.borderRadius = value;
      $.container[key] = value;
    } else if (key == 'value') {
      $.progress.width = value;
      $.progress.visible = true;
    }
    else {
      $.container[key] = value;
    }
  });
};

$.load = function (duration, callback) {
  progressBarIsLoading = true;
  $.progress.visible = true;
  $.progress.animate({
    width: '100%',
    duration: duration,
  }, function () {
    if ($.isLoading()) {
      progressBarIsLoading = false;
      callback();
    }
  });
};

$.reset = function () {
  progressBarIsLoading = false;
  $.progress.visible = false;
  $.progress.width = 1;
};

$.isLoading = function () {
  return progressBarIsLoading;
};

$.init(args);
